CMSIS-Driver: CAN Identifier

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
CAN Identifier
CAN Control Codes

Set object to standard or extended. More...

## Macros

#define | ARM_CAN_STANDARD_ID(id) (id & 0x000007FFUL)
| CAN identifier in standard format (11-bits) More...
#define | ARM_CAN_EXTENDED_ID(id) ((id & 0x1FFFFFFFUL) | ARM_CAN_ID_IDE_Msk)
| CAN identifier in extended format (29-bits) More...

## Description

Set object to standard or extended.

## Macro Definition Documentation

#define ARM_CAN_STANDARD_ID | ( |  | id | ) | (id & 0x000007FFUL)

CAN identifier in standard format (11-bits)

See Also
  ARM_CAN_ObjectConfigure

#define ARM_CAN_EXTENDED_ID | ( |  | id | ) | ((id & 0x1FFFFFFFUL) | ARM_CAN_ID_IDE_Msk)

CAN identifier in extended format (29-bits)

See Also
  ARM_CAN_ObjectConfigure